File GST CMP-08 Statement with DSC
POST
https://apisandbox.whitebooks.in/cmp/retfileUsed to file entire CMP invoices
Parameters
query parameters
emailstringrequiredAPI Developer User Email
panstringrequiredPAN Number
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGST Number
Example: "01AAAAB1726H1ZI"
ret_periodstringoptionalReturn Period
Example: "032018"
isnilstringoptionalIs Nil Return
Example: "N"
table3objectoptionalout_supobjectoptionaltax_valnumberoptionalValue of goods
Example: 40
camtnumberoptionalCGST payable
Example: 20
samtnumberoptionalSGST payable
Example: 20
in_supobjectoptionaltax_valnumberoptionalValue of goods
Example: 40
iamtnumberoptionalIGST payable
Example: 10
camtnumberoptionalCGST payable
Example: 20
samtnumberoptionalSGST payable
Example: 20
csamtnumberoptionalCESS payable
Example: 10
intr_payobjectoptionaliamtnumberoptionalIGST payable
Example: 10
camtnumberoptionalCGST payable
Example: 20
samtnumberoptionalSGST payable
Example: 20
csamtnumberoptionalCESS payable
Example: 10
tax_payobjectoptionaltax_valnumberoptionalValue of goods
Example: 1000
iamtnumberoptionalIGST payable
Example: 20
camtnumberoptionalCGST payable
Example: 10
samtnumberoptionalSGST payable
Example: 10
csamtnumberoptionalCESS payable
Example: 5
table4objectoptionalrchrgobjectoptionaliamtnumberoptionalIGST payable
Example: 10
camtnumberoptionalCGST payable
Example: 10
samtnumberoptionalSGST payable
Example: 10
csamtnumberoptionalCESS payable
Example: 10
otr_rchrgobjectoptionaliamtnumberoptionalIGST payable
Example: 10
camtnumberoptionalCGST payable
Example: 10
samtnumberoptionalSGST payable
Example: 10
csamtnumberoptionalCESS payable
Example: 10
neg_liabobjectoptionalrchrgobjectoptionalotr_rchrgobjectoptionalintr_payobjectoptionaliamtnumberoptionalIGST payable
Example: 10
camtnumberoptionalCGST payable
Example: 10
samtnumberoptionalSGST payable
Example: 10
csamtnumberoptionalCESS payable
Example: 10
tax_payarray<object>optionalArray items:
igstobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
pennumberoptionalPenalty Amount
Example: 0
cgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
pennumberoptionalPenalty Amount
Example: 0
sgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
pennumberoptionalPenalty Amount
Example: 0
cessobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
pennumberoptionalPenalty Amount
Example: 0
trancdintegeroptionaltran code
Example: 30003
offsetarray<object>optionalArray items:
tran_cdintegeroptionaltran code
Example: 30003
sgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
cgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
igstobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
cessobjectoptionalintrnumberoptionalInterest Amount
Example: 0.4
txnumberoptionalTax Amount
Example: 60
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 60
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/cmp/retfile. Required parameters: email (query parameter), pan (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For File CMP data (POST
/cmp/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to file entire CMP invoices
No example available.